source: projects/install-guide/branches/6.x/Makefile.in @ 2751

Revision 2751, 20.2 KB checked in by yasumichi, 13 years ago (diff)

yelp用にomfファイルの雛形を準備

Line 
1# Makefile.in generated by automake 1.11.1 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
6# Inc.
7# This Makefile.in is free software; the Free Software Foundation
8# gives unlimited permission to copy and/or distribute it,
9# with or without modifications, as long as this notice is preserved.
10
11# This program is distributed in the hope that it will be useful,
12# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14# PARTICULAR PURPOSE.
15
16@SET_MAKE@
17VPATH = @srcdir@
18pkgdatadir = $(datadir)/@PACKAGE@
19pkgincludedir = $(includedir)/@PACKAGE@
20pkglibdir = $(libdir)/@PACKAGE@
21pkglibexecdir = $(libexecdir)/@PACKAGE@
22am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
23install_sh_DATA = $(install_sh) -c -m 644
24install_sh_PROGRAM = $(install_sh) -c
25install_sh_SCRIPT = $(install_sh) -c
26INSTALL_HEADER = $(INSTALL_DATA)
27transform = $(program_transform_name)
28NORMAL_INSTALL = :
29PRE_INSTALL = :
30POST_INSTALL = :
31NORMAL_UNINSTALL = :
32PRE_UNINSTALL = :
33POST_UNINSTALL = :
34subdir = .
35DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
36        $(srcdir)/Makefile.in $(top_srcdir)/configure AUTHORS COPYING \
37        ChangeLog INSTALL NEWS install-sh missing
38ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
39am__aclocal_m4_deps = $(top_srcdir)/configure.ac
40am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
41        $(ACLOCAL_M4)
42am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
43 configure.lineno config.status.lineno
44mkinstalldirs = $(install_sh) -d
45CONFIG_CLEAN_FILES =
46CONFIG_CLEAN_VPATH_FILES =
47SOURCES =
48DIST_SOURCES =
49RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
50        html-recursive info-recursive install-data-recursive \
51        install-dvi-recursive install-exec-recursive \
52        install-html-recursive install-info-recursive \
53        install-pdf-recursive install-ps-recursive install-recursive \
54        installcheck-recursive installdirs-recursive pdf-recursive \
55        ps-recursive uninstall-recursive
56RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
57  distclean-recursive maintainer-clean-recursive
58AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
59        $(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
60        distdir dist dist-all distcheck
61ETAGS = etags
62CTAGS = ctags
63DIST_SUBDIRS = $(SUBDIRS)
64DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
65distdir = $(PACKAGE)-$(VERSION)
66top_distdir = $(distdir)
67am__remove_distdir = \
68  { test ! -d "$(distdir)" \
69    || { find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
70         && rm -fr "$(distdir)"; }; }
71am__relativize = \
72  dir0=`pwd`; \
73  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
74  sed_rest='s,^[^/]*/*,,'; \
75  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
76  sed_butlast='s,/*[^/]*$$,,'; \
77  while test -n "$$dir1"; do \
78    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
79    if test "$$first" != "."; then \
80      if test "$$first" = ".."; then \
81        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
82        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
83      else \
84        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
85        if test "$$first2" = "$$first"; then \
86          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
87        else \
88          dir2="../$$dir2"; \
89        fi; \
90        dir0="$$dir0"/"$$first"; \
91      fi; \
92    fi; \
93    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
94  done; \
95  reldir="$$dir2"
96GZIP_ENV = --best
97DIST_ARCHIVES = $(distdir).tar.bz2
98distuninstallcheck_listfiles = find . -type f -print
99distcleancheck_listfiles = find . -type f -print
100ACLOCAL = @ACLOCAL@
101AMTAR = @AMTAR@
102AUTOCONF = @AUTOCONF@
103AUTOHEADER = @AUTOHEADER@
104AUTOMAKE = @AUTOMAKE@
105AWK = @AWK@
106CSSFILE = @CSSFILE@
107CYGPATH_W = @CYGPATH_W@
108DEFS = @DEFS@
109ECHO_C = @ECHO_C@
110ECHO_N = @ECHO_N@
111ECHO_T = @ECHO_T@
112INSTALL = @INSTALL@
113INSTALL_DATA = @INSTALL_DATA@
114INSTALL_PROGRAM = @INSTALL_PROGRAM@
115INSTALL_SCRIPT = @INSTALL_SCRIPT@
116INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
117LIBOBJS = @LIBOBJS@
118LIBS = @LIBS@
119LTLIBOBJS = @LTLIBOBJS@
120MAKEINFO = @MAKEINFO@
121MKDIR_P = @MKDIR_P@
122OMFDIR = @OMFDIR@
123PACKAGE = @PACKAGE@
124PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
125PACKAGE_NAME = @PACKAGE_NAME@
126PACKAGE_STRING = @PACKAGE_STRING@
127PACKAGE_TARNAME = @PACKAGE_TARNAME@
128PACKAGE_URL = @PACKAGE_URL@
129PACKAGE_VERSION = @PACKAGE_VERSION@
130PATH_SEPARATOR = @PATH_SEPARATOR@
131PKG_CONFIG = @PKG_CONFIG@
132PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
133PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
134SET_MAKE = @SET_MAKE@
135SHELL = @SHELL@
136STRIP = @STRIP@
137VERSION = @VERSION@
138VMDIR = @VMDIR@
139abs_builddir = @abs_builddir@
140abs_srcdir = @abs_srcdir@
141abs_top_builddir = @abs_top_builddir@
142abs_top_srcdir = @abs_top_srcdir@
143am__leading_dot = @am__leading_dot@
144am__tar = @am__tar@
145am__untar = @am__untar@
146bindir = @bindir@
147build_alias = @build_alias@
148builddir = @builddir@
149datadir = @datadir@
150datarootdir = @datarootdir@
151docdir = @docdir@
152dvidir = @dvidir@
153exec_prefix = @exec_prefix@
154host_alias = @host_alias@
155htmldir = @htmldir@
156includedir = @includedir@
157infodir = @infodir@
158install_sh = @install_sh@
159libdir = @libdir@
160libexecdir = @libexecdir@
161localedir = @localedir@
162localstatedir = @localstatedir@
163mandir = @mandir@
164mkdir_p = @mkdir_p@
165oldincludedir = @oldincludedir@
166pdfdir = @pdfdir@
167prefix = @prefix@
168program_transform_name = @program_transform_name@
169psdir = @psdir@
170sbindir = @sbindir@
171sharedstatedir = @sharedstatedir@
172srcdir = @srcdir@
173sysconfdir = @sysconfdir@
174target_alias = @target_alias@
175top_build_prefix = @top_build_prefix@
176top_builddir = @top_builddir@
177top_srcdir = @top_srcdir@
178SUBDIRS = help
179all: all-recursive
180
181.SUFFIXES:
182am--refresh:
183        @:
184$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
185        @for dep in $?; do \
186          case '$(am__configure_deps)' in \
187            *$$dep*) \
188              echo ' cd $(srcdir) && $(AUTOMAKE) --gnu'; \
189              $(am__cd) $(srcdir) && $(AUTOMAKE) --gnu \
190                && exit 0; \
191              exit 1;; \
192          esac; \
193        done; \
194        echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
195        $(am__cd) $(top_srcdir) && \
196          $(AUTOMAKE) --gnu Makefile
197.PRECIOUS: Makefile
198Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
199        @case '$?' in \
200          *config.status*) \
201            echo ' $(SHELL) ./config.status'; \
202            $(SHELL) ./config.status;; \
203          *) \
204            echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
205            cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
206        esac;
207
208$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
209        $(SHELL) ./config.status --recheck
210
211$(top_srcdir)/configure:  $(am__configure_deps)
212        $(am__cd) $(srcdir) && $(AUTOCONF)
213$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
214        $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
215$(am__aclocal_m4_deps):
216
217# This directory's subdirectories are mostly independent; you can cd
218# into them and run `make' without going through this Makefile.
219# To change the values of `make' variables: instead of editing Makefiles,
220# (1) if the variable is set in `config.status', edit `config.status'
221#     (which will cause the Makefiles to be regenerated when you run `make');
222# (2) otherwise, pass the desired values on the `make' command line.
223$(RECURSIVE_TARGETS):
224        @fail= failcom='exit 1'; \
225        for f in x $$MAKEFLAGS; do \
226          case $$f in \
227            *=* | --[!k]*);; \
228            *k*) failcom='fail=yes';; \
229          esac; \
230        done; \
231        dot_seen=no; \
232        target=`echo $@ | sed s/-recursive//`; \
233        list='$(SUBDIRS)'; for subdir in $$list; do \
234          echo "Making $$target in $$subdir"; \
235          if test "$$subdir" = "."; then \
236            dot_seen=yes; \
237            local_target="$$target-am"; \
238          else \
239            local_target="$$target"; \
240          fi; \
241          ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
242          || eval $$failcom; \
243        done; \
244        if test "$$dot_seen" = "no"; then \
245          $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
246        fi; test -z "$$fail"
247
248$(RECURSIVE_CLEAN_TARGETS):
249        @fail= failcom='exit 1'; \
250        for f in x $$MAKEFLAGS; do \
251          case $$f in \
252            *=* | --[!k]*);; \
253            *k*) failcom='fail=yes';; \
254          esac; \
255        done; \
256        dot_seen=no; \
257        case "$@" in \
258          distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
259          *) list='$(SUBDIRS)' ;; \
260        esac; \
261        rev=''; for subdir in $$list; do \
262          if test "$$subdir" = "."; then :; else \
263            rev="$$subdir $$rev"; \
264          fi; \
265        done; \
266        rev="$$rev ."; \
267        target=`echo $@ | sed s/-recursive//`; \
268        for subdir in $$rev; do \
269          echo "Making $$target in $$subdir"; \
270          if test "$$subdir" = "."; then \
271            local_target="$$target-am"; \
272          else \
273            local_target="$$target"; \
274          fi; \
275          ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
276          || eval $$failcom; \
277        done && test -z "$$fail"
278tags-recursive:
279        list='$(SUBDIRS)'; for subdir in $$list; do \
280          test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
281        done
282ctags-recursive:
283        list='$(SUBDIRS)'; for subdir in $$list; do \
284          test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
285        done
286
287ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
288        list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
289        unique=`for i in $$list; do \
290            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
291          done | \
292          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
293              END { if (nonempty) { for (i in files) print i; }; }'`; \
294        mkid -fID $$unique
295tags: TAGS
296
297TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
298                $(TAGS_FILES) $(LISP)
299        set x; \
300        here=`pwd`; \
301        if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
302          include_option=--etags-include; \
303          empty_fix=.; \
304        else \
305          include_option=--include; \
306          empty_fix=; \
307        fi; \
308        list='$(SUBDIRS)'; for subdir in $$list; do \
309          if test "$$subdir" = .; then :; else \
310            test ! -f $$subdir/TAGS || \
311              set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
312          fi; \
313        done; \
314        list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
315        unique=`for i in $$list; do \
316            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
317          done | \
318          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
319              END { if (nonempty) { for (i in files) print i; }; }'`; \
320        shift; \
321        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
322          test -n "$$unique" || unique=$$empty_fix; \
323          if test $$# -gt 0; then \
324            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
325              "$$@" $$unique; \
326          else \
327            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
328              $$unique; \
329          fi; \
330        fi
331ctags: CTAGS
332CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
333                $(TAGS_FILES) $(LISP)
334        list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
335        unique=`for i in $$list; do \
336            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
337          done | \
338          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
339              END { if (nonempty) { for (i in files) print i; }; }'`; \
340        test -z "$(CTAGS_ARGS)$$unique" \
341          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
342             $$unique
343
344GTAGS:
345        here=`$(am__cd) $(top_builddir) && pwd` \
346          && $(am__cd) $(top_srcdir) \
347          && gtags -i $(GTAGS_ARGS) "$$here"
348
349distclean-tags:
350        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
351
352distdir: $(DISTFILES)
353        $(am__remove_distdir)
354        test -d "$(distdir)" || mkdir "$(distdir)"
355        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
356        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
357        list='$(DISTFILES)'; \
358          dist_files=`for file in $$list; do echo $$file; done | \
359          sed -e "s|^$$srcdirstrip/||;t" \
360              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
361        case $$dist_files in \
362          */*) $(MKDIR_P) `echo "$$dist_files" | \
363                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
364                           sort -u` ;; \
365        esac; \
366        for file in $$dist_files; do \
367          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
368          if test -d $$d/$$file; then \
369            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
370            if test -d "$(distdir)/$$file"; then \
371              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
372            fi; \
373            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
374              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
375              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
376            fi; \
377            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
378          else \
379            test -f "$(distdir)/$$file" \
380            || cp -p $$d/$$file "$(distdir)/$$file" \
381            || exit 1; \
382          fi; \
383        done
384        @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
385          if test "$$subdir" = .; then :; else \
386            test -d "$(distdir)/$$subdir" \
387            || $(MKDIR_P) "$(distdir)/$$subdir" \
388            || exit 1; \
389          fi; \
390        done
391        @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
392          if test "$$subdir" = .; then :; else \
393            dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
394            $(am__relativize); \
395            new_distdir=$$reldir; \
396            dir1=$$subdir; dir2="$(top_distdir)"; \
397            $(am__relativize); \
398            new_top_distdir=$$reldir; \
399            echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
400            echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
401            ($(am__cd) $$subdir && \
402              $(MAKE) $(AM_MAKEFLAGS) \
403                top_distdir="$$new_top_distdir" \
404                distdir="$$new_distdir" \
405                am__remove_distdir=: \
406                am__skip_length_check=: \
407                am__skip_mode_fix=: \
408                distdir) \
409              || exit 1; \
410          fi; \
411        done
412        -test -n "$(am__skip_mode_fix)" \
413        || find "$(distdir)" -type d ! -perm -755 \
414                -exec chmod u+rwx,go+rx {} \; -o \
415          ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
416          ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
417          ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
418        || chmod -R a+r "$(distdir)"
419dist-gzip: distdir
420        tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
421        $(am__remove_distdir)
422dist-bzip2: distdir
423        tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
424        $(am__remove_distdir)
425
426dist-lzma: distdir
427        tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
428        $(am__remove_distdir)
429
430dist-xz: distdir
431        tardir=$(distdir) && $(am__tar) | xz -c >$(distdir).tar.xz
432        $(am__remove_distdir)
433
434dist-tarZ: distdir
435        tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
436        $(am__remove_distdir)
437
438dist-shar: distdir
439        shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
440        $(am__remove_distdir)
441
442dist-zip: distdir
443        -rm -f $(distdir).zip
444        zip -rq $(distdir).zip $(distdir)
445        $(am__remove_distdir)
446
447dist dist-all: distdir
448        tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
449        $(am__remove_distdir)
450
451# This target untars the dist file and tries a VPATH configuration.  Then
452# it guarantees that the distribution is self-contained by making another
453# tarfile.
454distcheck: dist
455        case '$(DIST_ARCHIVES)' in \
456        *.tar.gz*) \
457          GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
458        *.tar.bz2*) \
459          bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
460        *.tar.lzma*) \
461          lzma -dc $(distdir).tar.lzma | $(am__untar) ;;\
462        *.tar.xz*) \
463          xz -dc $(distdir).tar.xz | $(am__untar) ;;\
464        *.tar.Z*) \
465          uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
466        *.shar.gz*) \
467          GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
468        *.zip*) \
469          unzip $(distdir).zip ;;\
470        esac
471        chmod -R a-w $(distdir); chmod a+w $(distdir)
472        mkdir $(distdir)/_build
473        mkdir $(distdir)/_inst
474        chmod a-w $(distdir)
475        test -d $(distdir)/_build || exit 0; \
476        dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
477          && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
478          && am__cwd=`pwd` \
479          && $(am__cd) $(distdir)/_build \
480          && ../configure --srcdir=.. --prefix="$$dc_install_base" \
481            $(DISTCHECK_CONFIGURE_FLAGS) \
482          && $(MAKE) $(AM_MAKEFLAGS) \
483          && $(MAKE) $(AM_MAKEFLAGS) dvi \
484          && $(MAKE) $(AM_MAKEFLAGS) check \
485          && $(MAKE) $(AM_MAKEFLAGS) install \
486          && $(MAKE) $(AM_MAKEFLAGS) installcheck \
487          && $(MAKE) $(AM_MAKEFLAGS) uninstall \
488          && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
489                distuninstallcheck \
490          && chmod -R a-w "$$dc_install_base" \
491          && ({ \
492               (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
493               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
494               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
495               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
496                    distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
497              } || { rm -rf "$$dc_destdir"; exit 1; }) \
498          && rm -rf "$$dc_destdir" \
499          && $(MAKE) $(AM_MAKEFLAGS) dist \
500          && rm -rf $(DIST_ARCHIVES) \
501          && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
502          && cd "$$am__cwd" \
503          || exit 1
504        $(am__remove_distdir)
505        @(echo "$(distdir) archives ready for distribution: "; \
506          list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
507          sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
508distuninstallcheck:
509        @$(am__cd) '$(distuninstallcheck_dir)' \
510        && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
511           || { echo "ERROR: files left after uninstall:" ; \
512                if test -n "$(DESTDIR)"; then \
513                  echo "  (check DESTDIR support)"; \
514                fi ; \
515                $(distuninstallcheck_listfiles) ; \
516                exit 1; } >&2
517distcleancheck: distclean
518        @if test '$(srcdir)' = . ; then \
519          echo "ERROR: distcleancheck can only run from a VPATH build" ; \
520          exit 1 ; \
521        fi
522        @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
523          || { echo "ERROR: files left in build directory after distclean:" ; \
524               $(distcleancheck_listfiles) ; \
525               exit 1; } >&2
526check-am: all-am
527check: check-recursive
528all-am: Makefile
529installdirs: installdirs-recursive
530installdirs-am:
531install: install-recursive
532install-exec: install-exec-recursive
533install-data: install-data-recursive
534uninstall: uninstall-recursive
535
536install-am: all-am
537        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
538
539installcheck: installcheck-recursive
540install-strip:
541        $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
542          install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
543          `test -z '$(STRIP)' || \
544            echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
545mostlyclean-generic:
546
547clean-generic:
548
549distclean-generic:
550        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
551        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
552
553maintainer-clean-generic:
554        @echo "This command is intended for maintainers to use"
555        @echo "it deletes files that may require special tools to rebuild."
556clean: clean-recursive
557
558clean-am: clean-generic mostlyclean-am
559
560distclean: distclean-recursive
561        -rm -f $(am__CONFIG_DISTCLEAN_FILES)
562        -rm -f Makefile
563distclean-am: clean-am distclean-generic distclean-tags
564
565dvi: dvi-recursive
566
567dvi-am:
568
569html: html-recursive
570
571html-am:
572
573info: info-recursive
574
575info-am:
576
577install-data-am:
578
579install-dvi: install-dvi-recursive
580
581install-dvi-am:
582
583install-exec-am:
584
585install-html: install-html-recursive
586
587install-html-am:
588
589install-info: install-info-recursive
590
591install-info-am:
592
593install-man:
594
595install-pdf: install-pdf-recursive
596
597install-pdf-am:
598
599install-ps: install-ps-recursive
600
601install-ps-am:
602
603installcheck-am:
604
605maintainer-clean: maintainer-clean-recursive
606        -rm -f $(am__CONFIG_DISTCLEAN_FILES)
607        -rm -rf $(top_srcdir)/autom4te.cache
608        -rm -f Makefile
609maintainer-clean-am: distclean-am maintainer-clean-generic
610
611mostlyclean: mostlyclean-recursive
612
613mostlyclean-am: mostlyclean-generic
614
615pdf: pdf-recursive
616
617pdf-am:
618
619ps: ps-recursive
620
621ps-am:
622
623uninstall-am:
624
625.MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) ctags-recursive \
626        install-am install-strip tags-recursive
627
628.PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
629        all all-am am--refresh check check-am clean clean-generic \
630        ctags ctags-recursive dist dist-all dist-bzip2 dist-gzip \
631        dist-lzma dist-shar dist-tarZ dist-xz dist-zip distcheck \
632        distclean distclean-generic distclean-tags distcleancheck \
633        distdir distuninstallcheck dvi dvi-am html html-am info \
634        info-am install install-am install-data install-data-am \
635        install-dvi install-dvi-am install-exec install-exec-am \
636        install-html install-html-am install-info install-info-am \
637        install-man install-pdf install-pdf-am install-ps \
638        install-ps-am install-strip installcheck installcheck-am \
639        installdirs installdirs-am maintainer-clean \
640        maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
641        pdf-am ps ps-am tags tags-recursive uninstall uninstall-am
642
643
644# Tell versions [3.59,3.63) of GNU make to not export all variables.
645# Otherwise a system limit (for SysV at least) may be exceeded.
646.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.